DdemlUtil.DdeAdapter (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: DdemlUtil, class: DdeAdapter

Package com.sun.jna.platform.win32

# Class DdemlUtil.DdeAdapter

java.lang.Object
com.sun.jna.platform.win32.DdemlUtil.DdeAdapter

All Implemented Interfaces:
  `AltCallingConvention`, `Callback`, `Ddeml.DdeCallback`, `StdCall`, `StdCallLibrary.StdCallCallback`

Enclosing class:
  DdemlUtil

public static class DdemlUtil.DdeAdapter extends Object implements Ddeml.DdeCallback
DdeAdapter implements DdeCallback and allow dynamic registration for mulitple handlers, that can be registered and unregistered at runtime.

AdvstartHandler
  All registered AdvstartHandler are evaluated. If at least one returns true, the whole evaluation is considered true.
AdvstopHandler
  All registered AdvstopHandler are invoked.
ConnectHandler
  All registered ConnectHandler are evaluated. If at least one returns true, the whole evaluation is considered true.
WildconnectHandler
  All registered WildconnectHandler are evaluated. The result is the union of all HSZPAIRs.
ConnectConfirmHandler
  All registered ConnectConfirmHandler are evaluated.
DisconnectHandler
  All registered DisconnectHandler are evaluated.
ErrorHandler
  All registered ErrorHandler are evaluated.
RegisterHandler
  All registered RegisterHandler are evaluated.
XactCompleteHandler
  All registered XactCompleteHandler are evaluated.
UnregisterHandler
  All registered UnregisterHandlers are evaluated.
MonitorHandler
  All registered AdvstopHandler are invoked.
AdvdataHandler
  The AdvdataHandlers are evaluated in registration order - evaluation stops after the first handler not returning Ddeml.FNOTPROCESSED.
ExecuteHandler
  The ExecuteHandler are evaluated in registration order - evaluation stops after the first handler not returning Ddeml.FNOTPROCESSED.
PokeHandler
  The PokeHandler are evaluated in registration order - evaluation stops after the first handler not returning Ddeml.FNOTPROCESSED.
AdvreqHandler
  The AdvreqHandlers are evaluated in registration order - evaluation stops after the first handler returning a non null value.
RequestHandler
  The RequestHandlers are evaluated in registration order - evaluation stops after the first handler returning a non null value.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DdemlUtil.DdeAdapter.BlockException`

  ## Nested classes/interfaces inherited from interface com.sun.jna.Callback

  `Callback.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.Callback

  `FORBIDDEN_NAMES, METHOD_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DdeAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinDef.PVOID`
  `ddeCallback(int wType, int wFmt, Ddeml.HCONV hConv, Ddeml.HSZ hsz1, Ddeml.HSZ hsz2, Ddeml.HDDEDATA hData, BaseTSD.ULONG_PTR lData1, BaseTSD.ULONG_PTR lData2)`
  `void`
  `registerAdvdataHandler(DdemlUtil.AdvdataHandler handler)`
  `void`
  `registerAdvReqHandler(DdemlUtil.AdvreqHandler handler)`
  `void`
  `registerAdvstartHandler(DdemlUtil.AdvstartHandler handler)`
  `void`
  `registerAdvstopHandler(DdemlUtil.AdvstopHandler handler)`
  `void`
  `registerConnectConfirmHandler(DdemlUtil.ConnectConfirmHandler handler)`
  `void`
  `registerConnectHandler(DdemlUtil.ConnectHandler handler)`
  `void`
  `registerDisconnectHandler(DdemlUtil.DisconnectHandler handler)`
  `void`
  `registerErrorHandler(DdemlUtil.ErrorHandler handler)`
  `void`
  `registerExecuteHandler(DdemlUtil.ExecuteHandler handler)`
  `void`
  `registerMonitorHandler(DdemlUtil.MonitorHandler handler)`
  `void`
  `registerPokeHandler(DdemlUtil.PokeHandler handler)`
  `void`
  `registerRegisterHandler(DdemlUtil.RegisterHandler handler)`
  `void`
  `registerRequestHandler(DdemlUtil.RequestHandler handler)`
  `void`
  `registerUnregisterHandler(DdemlUtil.UnregisterHandler handler)`
  `void`
  `registerWildconnectHandler(DdemlUtil.WildconnectHandler handler)`
  `void`
  `registerXactCompleteHandler(DdemlUtil.XactCompleteHandler handler)`
  `void`
  `setInstanceIdentifier(int idInst)`
  `void`
  `unregisterAdvdataHandler(DdemlUtil.AdvdataHandler handler)`
  `void`
  `unregisterAdvReqHandler(DdemlUtil.AdvreqHandler handler)`
  `void`
  `unregisterAdvstartHandler(DdemlUtil.AdvstartHandler handler)`
  `void`
  `unregisterAdvstopHandler(DdemlUtil.AdvstopHandler handler)`
  `void`
  `unregisterConnectConfirmHandler(DdemlUtil.ConnectConfirmHandler handler)`
  `void`
  `unregisterConnectHandler(DdemlUtil.ConnectHandler handler)`
  `void`
  `unregisterDisconnectHandler(DdemlUtil.DisconnectHandler handler)`
  `void`
  `unregisterErrorHandler(DdemlUtil.ErrorHandler handler)`
  `void`
  `unregisterExecuteHandler(DdemlUtil.ExecuteHandler handler)`
  `void`
  `unregisterMonitorHandler(DdemlUtil.MonitorHandler handler)`
  `void`
  `unregisterPokeHandler(DdemlUtil.PokeHandler handler)`
  `void`
  `unregisterRegisterHandler(DdemlUtil.RegisterHandler handler)`
  `void`
  `unregisterRequestHandler(DdemlUtil.RequestHandler handler)`
  `void`
  `unregisterUnregisterHandler(DdemlUtil.UnregisterHandler handler)`
  `void`
  `unregisterWildconnectHandler(DdemlUtil.WildconnectHandler handler)`
  `void`
  `xactCompleteXactCompleteHandler(DdemlUtil.XactCompleteHandler handler)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DdeAdapter

    public DdeAdapter()

- ## Method Details

  - ### setInstanceIdentifier

    public void setInstanceIdentifier(int idInst)

  - ### ddeCallback

    public WinDef.PVOID ddeCallback(int wType, int wFmt, Ddeml.HCONV hConv, Ddeml.HSZ hsz1, Ddeml.HSZ hsz2, Ddeml.HDDEDATA hData, BaseTSD.ULONG_PTR lData1, BaseTSD.ULONG_PTR lData2)
    Specified by:
      `ddeCallback` in interface `Ddeml.DdeCallback`

  - ### registerAdvstartHandler

    public void registerAdvstartHandler(DdemlUtil.AdvstartHandler handler)

  - ### unregisterAdvstartHandler

    public void unregisterAdvstartHandler(DdemlUtil.AdvstartHandler handler)

  - ### registerAdvstopHandler

    public void registerAdvstopHandler(DdemlUtil.AdvstopHandler handler)

  - ### unregisterAdvstopHandler

    public void unregisterAdvstopHandler(DdemlUtil.AdvstopHandler handler)

  - ### registerConnectHandler

    public void registerConnectHandler(DdemlUtil.ConnectHandler handler)

  - ### unregisterConnectHandler

    public void unregisterConnectHandler(DdemlUtil.ConnectHandler handler)

  - ### registerAdvReqHandler

    public void registerAdvReqHandler(DdemlUtil.AdvreqHandler handler)

  - ### unregisterAdvReqHandler

    public void unregisterAdvReqHandler(DdemlUtil.AdvreqHandler handler)

  - ### registerRequestHandler

    public void registerRequestHandler(DdemlUtil.RequestHandler handler)

  - ### unregisterRequestHandler

    public void unregisterRequestHandler(DdemlUtil.RequestHandler handler)

  - ### registerWildconnectHandler

    public void registerWildconnectHandler(DdemlUtil.WildconnectHandler handler)

  - ### unregisterWildconnectHandler

    public void unregisterWildconnectHandler(DdemlUtil.WildconnectHandler handler)

  - ### registerAdvdataHandler

    public void registerAdvdataHandler(DdemlUtil.AdvdataHandler handler)

  - ### unregisterAdvdataHandler

    public void unregisterAdvdataHandler(DdemlUtil.AdvdataHandler handler)

  - ### registerExecuteHandler

    public void registerExecuteHandler(DdemlUtil.ExecuteHandler handler)

  - ### unregisterExecuteHandler

    public void unregisterExecuteHandler(DdemlUtil.ExecuteHandler handler)

  - ### registerPokeHandler

    public void registerPokeHandler(DdemlUtil.PokeHandler handler)

  - ### unregisterPokeHandler

    public void unregisterPokeHandler(DdemlUtil.PokeHandler handler)

  - ### registerConnectConfirmHandler

    public void registerConnectConfirmHandler(DdemlUtil.ConnectConfirmHandler handler)

  - ### unregisterConnectConfirmHandler

    public void unregisterConnectConfirmHandler(DdemlUtil.ConnectConfirmHandler handler)

  - ### registerDisconnectHandler

    public void registerDisconnectHandler(DdemlUtil.DisconnectHandler handler)

  - ### unregisterDisconnectHandler

    public void unregisterDisconnectHandler(DdemlUtil.DisconnectHandler handler)

  - ### registerErrorHandler

    public void registerErrorHandler(DdemlUtil.ErrorHandler handler)

  - ### unregisterErrorHandler

    public void unregisterErrorHandler(DdemlUtil.ErrorHandler handler)

  - ### registerRegisterHandler

    public void registerRegisterHandler(DdemlUtil.RegisterHandler handler)

  - ### unregisterRegisterHandler

    public void unregisterRegisterHandler(DdemlUtil.RegisterHandler handler)

  - ### registerXactCompleteHandler

    public void registerXactCompleteHandler(DdemlUtil.XactCompleteHandler handler)

  - ### xactCompleteXactCompleteHandler

    public void xactCompleteXactCompleteHandler(DdemlUtil.XactCompleteHandler handler)

  - ### registerUnregisterHandler

    public void registerUnregisterHandler(DdemlUtil.UnregisterHandler handler)

  - ### unregisterUnregisterHandler

    public void unregisterUnregisterHandler(DdemlUtil.UnregisterHandler handler)

  - ### registerMonitorHandler

    public void registerMonitorHandler(DdemlUtil.MonitorHandler handler)

  - ### unregisterMonitorHandler

    public void unregisterMonitorHandler(DdemlUtil.MonitorHandler handler)